Bug 10439 - Increase max netbios name components
Increase max netbios name components
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-11 16:46 UTC by Andreas Schneider
Modified: 2014-03-10 14:26 UTC (History)
0 users

See Also:


Attachments
v4-1-test patch (1.20 KB, patch)
2014-02-19 13:05 UTC, Andreas Schneider
jra: review+
asn: review? (gd)
Details
v4-0-test patch (1.20 KB, patch)
2014-02-19 13:06 UTC, Andreas Schneider
jra: review+
asn: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-02-11 16:46:05 UTC
Increase max netbios name components which is currently limited to 10.
Comment 1 Jeremy Allison 2014-02-11 16:59:55 UTC
Context behind the request ?

Jeremy.
Comment 2 Guenther Deschner 2014-02-11 17:01:59 UTC
mailslot/cldap messages fail to marshall/unmarshall once you have a customer with dns domains that consist of more then 10 subdomain components.
Comment 3 Jeremy Allison 2014-02-11 20:27:33 UTC
Strange :-). OK, let's see the patch !
Comment 4 Andreas Schneider 2014-02-19 13:05:33 UTC
Created attachment 9694 [details]
v4-1-test patch
Comment 5 Andreas Schneider 2014-02-19 13:06:24 UTC
Created attachment 9695 [details]
v4-0-test patch
Comment 6 Jeremy Allison 2014-02-20 00:04:06 UTC
Re-assigning to Karolin for inclusion in 4.1.next and 4.0.next.

Jeremy.
Comment 7 Karolin Seeger 2014-02-21 10:22:54 UTC
(In reply to comment #6)
> Re-assigning to Karolin for inclusion in 4.1.next and 4.0.next.
> 
> Jeremy.

Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 8 Karolin Seeger 2014-03-10 14:26:53 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > Re-assigning to Karolin for inclusion in 4.1.next and 4.0.next.
> > 
> > Jeremy.
> 
> Pushed to autobuild-v4-1-test and autobuild-v4-0-test.

Pushed to both branches, closing out bug report.
Thanks!